<div align="center">
  <img src="src\assets\unlim-clear.png" alt="UnlimCloud Logo" width="200"/> 
  <h1>UnlimCloud Desktop App</h1>
</div>

Welcome to the Unofficial Desktop Application for [UnlimCloud](https://unlimcloud.cloud)

## About UnlimCloud <img src="src\assets\unlim-clear.png" alt="UnlimCloud Logo" width="30"/> 

UnlimCloud offers a unique cloud storage solution, utilizing your Telegram ID as a secure and private storage identifier. Enjoy unlimited cloud storage for your files, accessible through this sleek desktop application.

## Features

- **Secure Login:** 🔒 Easily access your UnlimCloud account with a seamless login experience.
- **File Management:** 📂 Effortlessly upload, download, and organize your files and folders.
- **Media Streaming:** ▶️ Stream media files directly from UnlimCloud for a hassle-free entertainment experience.

<h2>📦 Releases</h2>

You can download the latest releases for Windows from the release section.

<div align="center">

  [![Releases](https://img.shields.io/github/v/release/inulute/unlim-cloud?color=green&include_prereleases&label=Release&style=for-the-badge)](https://github.com/inulute/unlim-cloud/releases)
</div>

> [!NOTE]  
> macOS and Linux versions of Unlim Cloud will be available soon, so stay tuned for updates! In the meantime, you can download the latest version for Windows from the link above. Thank you for your patience and support!

<h2>🚀 Run Locally</h2>

Before diving in, ensure that you have the following installed on your system:

- [Node.js](https://nodejs.org/)
- [Tauri CLI](https://tauri.studio/en/docs/getting-started/intro)
- [Yarn](https://yarnpkg.com/)

### Getting Started

1. **Clone this repository:**
   ```bash
   git clone https://github.com/inulute/unlim-cloud.git
   ```

2. **Install the Dependencies:**
   ```bash
   cd unlim-cloud-desktop
   yarn install
   ```

3. **Run the Application:**
   ```bash
   yarn tauri dev
   ```

## 📢 Feedback and Contributions

We welcome contributions! If you encounter issues or have suggestions for improvements, feel free to open an issue or submit a pull request.

## Support and Donations ❣️

<div align=center>
<img src="src\assets\dunno2.svg" alt="UnlimCloud Logo" width="80"/> 

</div>

If you find this project helpful, consider supporting us by making a donation. Your contributions help maintain and improve UnlimCloud Desktop App.

<div align="center">
  <a href="https://ko-fi.com/inulute"><img height='41' src='https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0' alt='Buy Me a Coffee at ko-fi.com'></a>
  <a href="https://paypal.me/inulute"><img src="src/assets/payment/paypal.svg" alt="PayPal" height="41" width="174"></a>
  <a href="https://upi-inulute.vercel.app/"><img src="src/assets/payment/upi.svg" alt="UPI Pay" height="41" width="174"></a>
</div>

> [!NOTE]  
> UPI is only available for Indian users.

<h2>🗃️ License</h2>

This project is licensed under the MIT License - see the [LICENSE](https://github.com/inulute/unlim-cloud/blob/master/LICENSE) file for details.

<div align="center">
  <a href="https://github.com/inulute/unlim-cloud/blob/master/LICENSE">
    <img src="https://img.shields.io/github/license/inulute/unlim-cloud?style=for-the-badge" alt="License">
  </a>
</div>

<h2>📝 Acknowledgements</h2>

> [!NOTE]  
> This application is not affiliated with the official Unlim Cloud but is an independent endeavor that brings Unlim Cloud to your desktop.
---
&nbsp;
<div align="center">

  [![Made with ❤️ by inulute](https://img.shields.io/badge/Made%20with-%E2%9D%A4%EF%B8%8F%20by%20inulute-black?style=flat-square)](https://github.com/inulute)

</div>
